Search Specific Queues
Search specific queues from the queue list.
Request URL
GET {base_url}/{api_path}/queue/search?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| page | No | Integer | Define which page is displayed. |
| page_size | No | Integer | Define how many records per page. |
| sort_by | No | String | Define the sorting field. Valid value:
|
| order_by | No | String | Define the display order. Valid value:
|
| search_value | No | String | Search keyword. |
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| total_number | Integer | The total number of searched queues. |
| queue_list | Array <Queue_List> | The detailed information of each queue. |
Queue_List
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of the queue. |
| number | String | Queue number. |
| name | String | Queue name. |
| ring_strategy | String | The ring strategy of the queue.
|
| client_unique_ringtone | String | The distinctive ringtone that will be played on agents' Linkus clients when they receive calls from this queue. |
| dynamic_agent_list | Array <Dynamic_Agent_List> | Information of dynamic agents. |
| static_agent_list | Array <Static_Agent_List> | Information of static agents. |
| manager_list | Array <Manager_List> | Information of queue managers. |
Dynamic_Agent_List
| Parameter | Type | Description |
|---|---|---|
| text | String | The name of the dynamic agent. |
| text2 | String | The extension number of the dynamic agent. |
| value | String | The extension ID of the dynamic agent. |
| type | String | The type of the dynamic agent.
|
Static_Agent_List
| Parameter | Type | Description |
|---|---|---|
| text | String | The name of the static agent. |
| text2 | String | The extension number of the static agent. |
| value | String | The extension ID of the static agent. |
| type | String | The type of the static agent.
|
Manager_List
| Parameter | Type | Description |
|---|---|---|
| text | String | The name of the queue manager. |
| text2 | String | The extension number of the queue manager. |
| value | String | The extension ID of the queue manager. |
| type | String | The type of the queue manager.
|
Examples
Request example
Search for the queue with the number "6402".
GET /openapi/v1.0/queue/search?access_token=6lqF0qYlAOjWxa64DalBZwJ7mynMRKeD&search_value=6402 HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"total_number": 1,
"queue_list": [
{
"id": 3,
"number": "6402",
"name": "Tech-support",
"ring_strategy": "ring_all",
"client_unique_ringtone": "example.wav",
"dynamic_agent_list": [
{
"text": "Leo Ball",
"text2": "1000",
"value": "73",
"type": "extension"
},
{
"text": "Phillip Huff",
"text2": "1001",
"value": "85",
"type": "extension"
}
],
"static_agent_list": [
{
"text": "Madison Cooper",
"text2": "1004",
"value": "96",
"type": "extension"
},
{
"text": "Kevin Connor",
"text2": "1005",
"value": "97",
"type": "extension"
},
{
"text": "Kristin Hale",
"text2": "1006",
"value": "92",
"type": "extension"
}
],
"manager_list": [
{
"text": "Leo Ball",
"text2": "1000",
"value": "73",
"type": "extension"
}
]
}
]
}